<?
	if($servis) {
		
		if ($servis=='1') {
$file=@file('data/news.dat');
$file = array_reverse($file);
$newsdate=explode('||',$file[0]);
  $stmp.= "<a href=\"$PHP_SELF?sid=$sid\">[в игру]</a>
 <br/><span style=\"color:red\"><strong>Сервис</strong></span>
 <br/><a href=\"$PHP_SELF?sid=$sid&new3=1\">Новости [$newsdate[1]]</a>";

$stmp.="<br/><a href=\"$PHP_SELF?sid=$sid&onl=1\">Кто онлайн?</a>
<br/><a href=\"$PHP_SELF?sid=$sid&servis=st\">Статистика игры</a>
<br/><a href=\"$PHP_SELF?sid=$sid&servis=chn\">Настройки</a>
<br/><a href=\"$PHP_SELF?sid=$sid&set=1\">Выбор дизайна</a>
<br/><a href=\"$PHP_SELF?sid=$sid&new=storry\">Статьи, ссылки, рассказы</a>



<br>***
<br/><a href=\"$PHP_SELF?sid=$sid&exit=1\">Выход</a>";
msg($stmp,"Сервис",'none');
}

if ($servis=="st") { $stmp="

<br/><a href=\"$PHP_SELF?sid=$sid&servis=player\">Список игроков</a>
<br/><a href=\"$PHP_SELF?sid=$sid&rating=players\">Рейтинг Игроков</a>
<br/><a href=\"$PHP_SELF?sid=$sid&look=tower\">Список Башен</a>
<br/><a href=\"$PHP_SELF?sid=$sid&new=gildlist\">Список гильдий</a>
<br/><a href=\"$PHP_SELF?sid=$sid&list=kvest\">Список Квестов</a>";
	msg($stmp,"Ироки",'none');
	}



if ($servis=="player") {
$stmp.="<a href=\"$PHP_SELF?sid=$sid\">(+)</a>";
$dir=opendir("users/"); // папка
while ($file = readdir ($dir)){
if (($file !="") &&($file !="zip.php"))
{ $a[]=$file;}}
closedir ($dir);
sort($a);
$total=count($a);
$stmp.="<br/><span style=\"color:red\"><strong>Список игроков [".($total-2)."]</strong></span>";
$ind=0; $count=0; if(!$start) $start=0;
$dir=opendir("users/"); // папка
while ($file = readdir ($dir)){ // читаем папку
$fil = implode("",file("users/$file"));
$fil = unserialize($fil);
if ($ind>=$start && $ind<$start+10) {
$stmp.="<br/>".$fil["title"]."";
}
$ind++;
}
if ($start) {$stmp.= "\n<br/><a href=\"$PHP_SELF?sid=$sid&servis=player&start=".($start-10)."\">Назад </a>|";}
if ($start+10<=$total) {if (!$start) $stmp.="\n<br/>"; $stmp.= "<a href=\"$PHP_SELF?sid=$sid&servis=player&start=".($start+10)."\">Дальше</a>";}
msg($stmp,"Ироки",'none');
	}
	
	if ($servis=="status") { 
	$stmp.= "<a href=\"$PHP_SELF?sid=$sid\">[в игру]</a>
 <br/><span style=\"color:red\"><strong>Статусы</strong></span>
 <br/><br/>0-5 / новичок
 <br/>5-10 / умелый(ая)
 <br/>10-30 / опытный(ая)
 <br/>30-45 / искусный(ая)
 <br/>45-60 / профессиональный(ая)
 <br/>60-75 / известный(ая)
 <br/>75-90 / знаменитый(ая)
 <br/>90-105 / мастер
 <br/>105-125 / грандмастер
 <br/>125-200 / Лорд(леди)
 <br/>больше 200 / выший(ая)";
	msg($stmp,"Статусы",'none');
	}
		if ($servis=="what") { 
	$stmp.= "<a href=\"$PHP_SELF?sid=$sid\">[в игру]</a>
 <br/><span style=\"color:red\"><strong>Как начать игру.</strong></span><br>
 Итак,сейчас я расскажу о том,как правильно начать игру<br>
 и тем самым не нагружать,без того загруженную администрацию.<br>
 <u>В начале</u>когда вы создали своего игрока вы появляетесь в зарождении<br>,
 Не бойтесь,вас там не /побъют/ старшие игроки,там <u>Мир Новичков</u><br>
 Что бы попасть в город Вам нужно получить <u>1 уровень доступа</u>. <br><strong>Как?</strong><br>
 Да очень просто,вы должны идти в подвал и истреблять всё что движется,кроме игроков(!!!),<br>
 Когда вы получите 1 уровень доступа Вы сможете пойти на плащадь,а именно попаасть в город.";
	msg($stmp,"Статусы",'none');
	}
	if ($servis=="bk") { // Настроики игры
	$g=split("\|",$game["loc"][$player["loc"]][$login]["gild"]);

	$stmp.="<br/><span style=\"color:red\"><strong>Выбор Быстрых Кнопок</strong></span>";
		$stmp.="<br/><a href=\"$PHP_SELF?sid=$sid&set=1\">Выбор дизайна</a>";
	if (!$player["bk1"]){ $stmp.="<br/><a href=\"$PHP_SELF?sid=$sid&servis=bk1ON\">Вкл. О себе</a>";}
	else { $stmp.="<br/><a href=\"$PHP_SELF?sid=$sid&servis=bk1OFF\">Откл. О себе</a>"; }
	if (!$player["bk2"]){ $stmp.="<br/><a href=\"$PHP_SELF?sid=$sid&servis=bk2ON\">Вкл. Заклинания</a>";}
	else { $stmp.="<br/><a href=\"$PHP_SELF?sid=$sid&servis=bk2OFF\">Откл. Заклинания</a>"; }
	if (!$player["bk3"]){ $stmp.="<br/><a href=\"$PHP_SELF?sid=$sid&servis=bk3ON\">Вкл. Контакты</a>";}
	else { $stmp.="<br/><a href=\"$PHP_SELF?sid=$sid&servis=bk3OFF\">Откл. Контакты</a>"; }
	if (!$player["bk4"]){ $stmp.="<br/><a href=\"$PHP_SELF?sid=$sid&servis=bk4ON\">Вкл. Сервис</a>";}
	else { $stmp.="<br/><a href=\"$PHP_SELF?sid=$sid&servis=bk4OFF\">Откл. Сервис</a>"; }
	if ($g[0]=="^" || $g[0]=="*") { if (!$player["bk5"]){ $stmp.="<br/><a href=\"$PHP_SELF?sid=$sid&servis=bk5ON\">Вкл. Меню Гильдии</a>";}
	else { $stmp.="<br/><a href=\"$PHP_SELF?sid=$sid&servis=bk5OFF\">Откл. Меню Гильдии</a>"; }}
	if (!$player["bk6"]){ $stmp.="<br/><a href=\"$PHP_SELF?sid=$sid&servis=bk6ON\">Вкл. Чат</a>";}
	else { $stmp.="<br/><a href=\"$PHP_SELF?sid=$sid&servis=bk6OFF\">Откл. Чат</a>"; }
	if (!$player["bk7"]){ $stmp.="<br/><a href=\"$PHP_SELF?sid=$sid&servis=bk7ON\">Вкл. Форум</a>";}
	else { $stmp.="<br/><a href=\"$PHP_SELF?sid=$sid&servis=bk7OFF\">Откл. Форум</a>"; }
	if (!$player["scr"]){ $stmp.="<br/><a href=\"$PHP_SELF?sid=$sid&servis=scrON\">Вкл. список рун, свиток</a>";}
	else { $stmp.="<br/><a href=\"$PHP_SELF?sid=$sid&servis=scrOFF\">Откл. список рун, свиток</a>"; }
	$stmp.="<br/><span style=\"color:red\">- дополнительные -</span>";
	if (!$player["nvz"]){ $stmp.="<br/><a href=\"$PHP_SELF?sid=$sid&servis=nvzON\">Вкл. Нап.Великой Жизни</a>";}
	else { $stmp.="<br/><a href=\"$PHP_SELF?sid=$sid&servis=nvzOFF\">Откл. Нап.Великой Жизни</a>"; }
	if (!$player["nz"]){ $stmp.="<br/><a href=\"$PHP_SELF?sid=$sid&servis=nzON\">Вкл. Нап. Жизни</a>";}
	else { $stmp.="<br/><a href=\"$PHP_SELF?sid=$sid&servis=nzOFF\">Откл. Нап. Жизни</a>"; }
	if (!$player["nvm"]){ $stmp.="<br/><a href=\"$PHP_SELF?sid=$sid&servis=nvmON\">Вкл. Нап.Великой Маны</a>";}
	else { $stmp.="<br/><a href=\"$PHP_SELF?sid=$sid&servis=nvmOFF\">Откл. Нап.Великой Маны</a>"; }
	if (!$player["nm"]){ $stmp.="<br/><a href=\"$PHP_SELF?sid=$sid&servis=nmON\">Вкл. Нап. Маны</a>";}
	else { $stmp.="<br/><a href=\"$PHP_SELF?sid=$sid&servis=nmOFF\">Откл. Нап. Маны</a>"; }
	$stmp.="<br/><span style=\"color:red\">- Навыки -</span>";
	if (!$player["sm"]){ $stmp.="<br/><a href=\"$PHP_SELF?sid=$sid&servis=smON\">Вкл. Медитацию</a>";}
	else { $stmp.="<br/><a href=\"$PHP_SELF?sid=$sid&servis=smOFF\">Откл. Медитацию</a>"; }
	if (!$player["ss"]){ $stmp.="<br/><a href=\"$PHP_SELF?sid=$sid&servis=ssON\">Вкл. Кражу</a>";}
	else { $stmp.="<br/><a href=\"$PHP_SELF?sid=$sid&servis=ssOFF\">Откл. Кражу</a>"; }
	if (!$player["sa"]){ $stmp.="<br/><a href=\"$PHP_SELF?sid=$sid&servis=saON\">Вкл. Прир.Животных</a>";}
	else { $stmp.="<br/><a href=\"$PHP_SELF?sid=$sid&servis=saOFF\">Откл. Прир.Животных</a>"; }
	if (!$player["si"]){ $stmp.="<br/><a href=\"$PHP_SELF?sid=$sid&servis=siON\">Вкл. Инженер</a>";}
	else { $stmp.="<br/><a href=\"$PHP_SELF?sid=$sid&servis=siOFF\">Откл. Инженер</a>"; }
	msg($stmp,"настройки",'none');

		
	}
	if ($servis=="chn") { // Настроики игры
			include "include/servis/nastr2.php";
		$stmp.= "<a href=\"$PHP_SELF?sid=$sid\">[в игру]</a>";
	$stmp.="<br/><span style=\"color:red\"><strong>Настройки Персонажа</strong></span>";
	if (!$player["privat"]){ $stmp.="<br/><a href=\"$PHP_SELF?sid=$sid&servis=privatON\">Вкл. говорить приватом</a>";}
	else { $stmp.="<br/><a href=\"$PHP_SELF?sid=$sid&servis=privatOFF\">Откл. говорить приватом</a>"; }
	if (!$player["vremya"]){ $stmp.="<br/><a href=\"$PHP_SELF?sid=$sid&servis=timeON\">Вкл. часы</a>";}
	else { $stmp.="<br/><a href=\"$PHP_SELF?sid=$sid&servis=timeOFF\">Откл. часы</a>"; }
	if (!$player["bk"]){ $stmp.="<br/><a href=\"$PHP_SELF?sid=$sid&servis=bkON\">Вкл. Показ быстрых кнопков</a>";}
	else { $stmp.="<br/><a href=\"$PHP_SELF?sid=$sid&servis=bkOFF\">Откл. Показ быстрых кнопков</a>"; }
$stmp.="<br/><a href=\"$PHP_SELF?sid=$sid&servis=bk\">Быстрые кнопки</a>";
	msg($stmp,"настройки",'none');
	}
	if ($servis=="privatON") {
	$player["privat"]=1;
	addjournal($login,"Настройки персонажа изменены!<br/>Теперь Вы будете говорить только приватно!");
    }	
	if ($servis=="privatOFF") {
	$player["privat"]=0;
	addjournal($login,"Функция - говорить приватно - отключена!");
    }	
	if ($servis=="timeON") {
	$player["vremya"]=1;
	addjournal($login,"Настройки персонажа изменены!<br/>Теперь ввидно время!");
    }	
	if ($servis=="timeOFF") {
	$player["vremya"]=0;
	addjournal($login,"Функция - показ время - отключена!");
    }	
	if ($servis=="bk1ON") {
	$player["bk1"]=1;
	addjournal($login,"Настройки персонажа изменены!<br/>Включена кнопка - О себе");
    }	
	if ($servis=="bk1OFF") {
	$player["bk1"]=0;
	addjournal($login,"Кнопка - О себе - отключена!");
    }
	if ($servis=="bk2ON") {
	$player["bk2"]=1;
	addjournal($login,"Настройки персонажа изменены!<br/>Включена кнопка - Заклинания");
    }	
	if ($servis=="bk2OFF") {
	$player["bk2"]=0;
	addjournal($login,"Кнопка - заклинания - отключена!");
    }
	if ($servis=="bk3ON") {
	$player["bk3"]=1;
	addjournal($login,"Настройки персонажа изменены!<br/>Включена кнопка - контакты");
    }	
	if ($servis=="bk3OFF") {
	$player["bk3"]=0;
	addjournal($login,"Кнопка - Контакты - отключена!");
    }
	if ($servis=="bk4ON") {
	$player["bk4"]=1;
	addjournal($login,"Настройки персонажа изменены!<br/>Включена кнопка - Сервис");
    }	
	if ($servis=="bk4OFF") {
	$player["bk4"]=0;
	addjournal($login,"Кнопка - Сервис - отключена!");
    }
	if ($servis=="bk5ON") {
	$player["bk5"]=1;
	addjournal($login,"Настройки персонажа изменены!<br/>Включена кнопка - Меню Гильдии");
    }	
	if ($servis=="bk5OFF") {
	$player["bk5"]=0;
	addjournal($login,"Кнопка - Меню Гильдии - отключена!");
    }
	if ($servis=="bk6ON") {
	$player["bk6"]=1;
	addjournal($login,"Настройки персонажа изменены!<br/>Включена кнопка - Чат");
    }	
	if ($servis=="bk6OFF") {
	$player["bk6"]=0;
	addjournal($login,"Кнопка - Чат - отключена!");
    }
	if ($servis=="bk7ON") {
	$player["bk7"]=1;
	addjournal($login,"Настройки персонажа изменены!<br/>Включена кнопка - Форум");
    }	
	if ($servis=="bk7OFF") {
	$player["bk7"]=0;
	addjournal($login,"Кнопка - Форум - отключена!");
    }
	if ($servis=="bkON") {
	$player["bk"]=1;
	addjournal($login,"Настройки персонажа изменены!<br/>Теперь есть возможность видеть быстрые кнопки");
    }	
	if ($servis=="bkOFF") {
	$player["bk"]=0;
	addjournal($login,"Функция отключена!");
    }
	if ($servis=="scrON") {
	$player["scr"]=1;
	addjournal($login,"Настройки персонажа изменены!<br/>Вы сможете видеть в рюкзаке только свитки и руны под кнопкой {Р}");
    }	
	if ($servis=="scrOFF") {
	$player["scr"]=0;
	addjournal($login,"Функция отключена!");
    }
	if ($servis=="nvzON") {
	$player["nvz"]=1;
	addjournal($login,"Настройки персонажа изменены!<br/>Напиток Великой Жизни (нвж)");
    }	
	if ($servis=="nvzOFF") {
	$player["nz"]=0;
	addjournal($login,"Функция отключена!");
    }
	if ($servis=="nzON") {
	$player["nz"]=1;
	addjournal($login,"Настройки персонажа изменены!<br/>Напиток Жизни (нж)");
    }	
	if ($servis=="nzOFF") {
	$player["nz"]=0;
	addjournal($login,"Функция отключена!");
    }
	if ($servis=="nvmON") {
	$player["nvm"]=1;
	addjournal($login,"Настройки персонажа изменены!<br/>Напиток Великой Маны (нвм)");
    }	
	if ($servis=="nvmOFF") {
	$player["nvm"]=0;
	addjournal($login,"Функция отключена!");
	}
	if ($servis=="nmON") {
	$player["nm"]=1;
	addjournal($login,"Настройки персонажа изменены!<br/>Напиток Маны (нм)");
    }	
	if ($servis=="nmOFF") {
	$player["nm"]=0;
	addjournal($login,"Функция отключена!");
	}
	if ($servis=="smON") {
	$player["sm"]=1;
	addjournal($login,"Настройки персонажа изменены!<br/>Медитация {М}");
    }	
	if ($servis=="smOFF") {
	$player["sm"]=0;
	addjournal($login,"Функция отключена!");
	}
	if ($servis=="ssON") {
	$player["ss"]=1;
	addjournal($login,"Настройки персонажа изменены!<br/>Кража {К}");
    }	
	if ($servis=="ssOFF") {
	$player["ss"]=0;
	addjournal($login,"Функция отключена!");
	}
	if ($servis=="saON") {
	$player["sa"]=1;
	addjournal($login,"Настройки персонажа изменены!<br/Приручения Животных {П}");
    }	
	if ($servis=="saOFF") {
	$player["sa"]=0;
	addjournal($login,"Функция отключена!");
	}
	if ($servis=="siON") {
	$player["si"]=1;
	addjournal($login,"Настройки персонажа изменены!<br/Инженер {И}");
    }	
	if ($servis=="siOFF") {
	$player["si"]=0;
	addjournal($login,"Функция отключена!");
	}
	if ($servis=="av") { 
	$stmp.= "<a href=\"$PHP_SELF?sid=$sid\">[в игру]</a>
 <br/><span style=\"color:red\"><strong>АВТОРИТЕТ</strong></span><br>
Итак,сегодня введён авторитет.<u>ЗАчем?</u><br>
С помощью авторитета вы можете выразить симпатию или антипатию<br>
тому или иному игроку. Голосовать можно только 1 раз<br>
ФЕЙКИ удаляются без предупреждения и вам начисляются -(минусы)<br>
Чем больше авторитет,тем больше можно доверять  игроку,<br>
тем выше его положение в игре Жизнь Дракона!
 ";
	msg($stmp,"Статусы",'none');
	}
}
?>		